## org.eclipse.amp.amf.testing.ui
Class ATestExecutableExtensionFactory

    java.lang.Object
      org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory
          org.eclipse.amp.amf.testing.ui.ATestExecutableExtensionFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, org.eclipse.core.runtime.IExecutableExtensionFactory

    public class ATestExecutableExtensionFactory

extends org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory

Field Summary

Fields inherited from class org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory
`GUICEKEY`

Constructor Summary
`ATestExecutableExtensionFactory()`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory
`create, setInitializationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestExecutableExtensionFactory

    public ATestExecutableExtensionFactory()